Ask Your Question

Revision history [back]

HPHelion: Install failing

Following the install guide for HP Helion Openstack, http://docs.hpcloud.com/helion/community/install-virtual/

I follow these steps

Log in as root:

sudo su -
Determine if .ssh/id_rsa exists:

ls -l ~root/.ssh/id_rsa
NOTE: The output should look like the example below:

drwxr-x--- . 4096 May 11 09:23
-rwxr-x--- ..4096 May 11 09:23
-rwxr-x--- id_rsa1455 May 11 09:24
-rwxr-x--- id_rsa.pub 1455 May 11 09:24
If the key does not exist, create one, omitting a passphrase and accepting the defaults by pressing Enter:

ssh-keygen -t rsa -N

This is the output i get

root@baHPHelion:/datadrive/tripleo# ls -l ~root/.ssh/id_rsa
-rw------- 1 root root 1766 Nov 16 01:32 /root/.ssh/id_rsa

I go on to start the install

root@baHPHelion:/datadrive/tripleo# sudo HP_VM_MODE=y bash -x tripleo-incubator/scripts/hp_ced_host_manager.sh --create seed
+ set -e
+ set -o pipefail
+ umask 077
++ basename tripleo-incubator/scripts/hp_ced_host_manager.sh
+ SCRIPT_NAME=hp_ced_host_manager.sh
++ dirname tripleo-incubator/scripts/hp_ced_host_manager.sh
+ SCRIPT_HOME=tripleo-incubator/scripts
+ PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:tripleo-incubator/scripts
++ id -u
+ '[' 0 '!=' 0 ']'
+ '[' /root '!=' /root ']'
+ export CREATE_SEED=0
+ CREATE_SEED=0
+ export SHUTDOWN_SEED=0
+ SHUTDOWN_SEED=0
+ export BOOT_SEED=0
+ BOOT_SEED=0
+ export EXPORT_SEED=0
+ EXPORT_SEED=0
+ export IMPORT_SEED=0
+ IMPORT_SEED=0
+ export VM_PLAN_FILE=
+ VM_PLAN_FILE=
++ getopt -o ph, -lhelp,create-seed,shutdown-seed,boot-seed,export-seed,import-seed,vm-plan: -n hp_ced_host_manager.sh -- --create seed
+ TEMP=' --create-seed -- '\''seed'\'''
+ '[' 0 '!=' 0 ']'
+ eval set -- ' --create-seed -- '\''seed'\'''
++ set -- --create-seed -- seed
+ print_deps
+ echo 'This script depends on certain baseline capabilities of the HOST operating system'
This script depends on certain baseline capabilities of the HOST operating system
+ echo

+ echo 'The following MUST be installed and running:'
The following MUST be installed and running:
+ echo

+ echo '    openvswitch'
    openvswitch
+ echo '    kvm/qemu'
    kvm/qemu
+ echo '    libvirt'
    libvirt
+ echo '    python-libvirt'
    python-libvirt
+ '[' -n y ']'
+ echo '
    You must also have the following for Virtual Baremetal:
        openssh-server
    '

    You must also have the following for Virtual Baremetal:
        openssh-server

+ true
+ case "$1" in
+ CREATE_SEED=1
+ shift
+ true
+ case "$1" in
+ shift
+ break
+ '[' 1 -gt 1 ']'
+ '[' -z y -a -n '' ']'
+ TMPDIR=/tmp
+ IMAGES_DIR=/var/lib/libvirt/images
+ OPTIONS_PATH=/var/lib/libvirt/images/seed_options
+ TMP_MNT_DIR=/tmp/tmp_options_mount
+ OPTIONS_SIZE=7G
+ ARCH=amd64
+ BRIDGE_NAME=brbm
+ BM_NETWORK_CIDR=192.0.2.0/24
+ BM_NETWORK_SEED_IP=192.0.2.1
+ BM_NETWORK_GATEWAY=192.0.2.1
+ MEMORYM=8192
+ MEMORYK=8388608
+ CPUS=1
+ NODE_DISK=512
+ EXTRAOPTS=
+ IMAGES='overcloud-compute overcloud-control overcloud-control-mgmt overcloud-swift undercloud'
+ DEPLOY_IMAGES='deploy-ramdisk.initramfs deploy-ramdisk.kernel deploy-ramdisk-ironic.initramfs deploy-ramdisk-ironic.kernel'
+ OVERCLOUD_EXT_NET_DEV=ext-gw
+ BM_GATEWAY_DEV=bm-gw
+ ROUTE_DEV=virbr0
+ LIBVIRT_NIC_DRIVER=virtio
+ LIBVIRT_DISK_BUS_TYPE=scsi
+ HOST_IP=192.168.122.1
+ SEED_COMP_PORT=27410
+ SEED_IMAGE_ID=seedImageID
+ apt_updated=
+ check_system_setup
+ check_install_packages
+ '[' -e /etc/debian_version ']'
+ '[' -n y ']'
+ dpkg-query -s openssh-server
+ dpkg-query -s openvswitch-switch
+ dpkg-query -s qemu-system-x86
+ dpkg-query -s libvirt-bin
+ dpkg-query -s python-libvirt
+ check_execute_packages
+ which ovs-vsctl
+ which kvm
+ which virsh
+ '[' -e /etc/debian_version ']'
++ lsb_release -cs
+ RELEASE=trusty
+ '[' trusty = trusty ']'
+ '[' '!' -e /usr/bin/kvm ']'
+ '[' -e /usr/bin/kvm ']'
+ export TRIPLEO_ROOT=tripleo-incubator/scripts/../../
+ TRIPLEO_ROOT=tripleo-incubator/scripts/../../
+ export IMAGE_NAME=seed
+ IMAGE_NAME=seed
+ export VM_IP=
+ VM_IP=
+ export IMAGE_CACHE_FILE=tripleo-incubator/scripts/../..//images/seed.qcow2
+ IMAGE_CACHE_FILE=tripleo-incubator/scripts/../..//images/seed.qcow2
+ '[' '!' -e tripleo-incubator/scripts/../..//images/seed.qcow2 ']'
+ '[' '!' -e tripleo-incubator/scripts/../..//local.json ']'
+ '[' '!' -e /root/.ssh/id_rsa.pub ']'
+ generate_keys
+ SSH_ARGS='-o PasswordAuthentication=no -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null'
+ '[' -z y ']'
+ '[' '!' -f /root/.ssh/id_rsa_virt_power ']'
++ cat /root/.ssh/id_rsa_virt_power.pub
+ grep -qF 'ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDMFb6YDEWGKTxpqO5CnzcuXZDLmvatBm3dSdVeV27TnoXoZAvCm5bPs5csKyOZhNnihrqqlZ2sjwpvH185BJQD9kmzPTSTKFAI6W1/ayTf5Lu2uAzh/9eQsW2Hq9N6fgbjHNy9boaTVwcvojRVFe4bRpD5pp5gLj0RbgyrOWwwdrqLrwZMO63MmMtAuTbIeZR2kw0SQjl5tYqVgnHhsrrMN1kP/oiozueYYWd+UhZyz5Eisyfyq2qpLJJ4Jaf02YsdekrUhtFcP1jpd6Ie2YIOCzK7w/I3HTIlZMBoI7/VEKZmkmEbUl9SpT0yGn5KkIbYdXhPR+fvoIB2MLZSjVJD virtual-power-key' /root/.ssh/authorized_keys
+ ssh -o PasswordAuthentication=no -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null -i /root/.ssh/id_rsa_virt_power root@localhost uptime '&>/dev/null'
Warning: Permanently added 'localhost' (ECDSA) to the list of known hosts.
+ check_system_hardware
+ SEED_ARCH=
+ case ${ARCH} in
+ SEED_ARCH=x86_64
+ [[ -z '' ]]
+ '[' -d /sys/module/kvm ']'
+ test -r /proc/cpuinfo
+ grep -q 'vmx\|svm' /proc/cpuinfo
+ die 'Error: Unable to use kvm as the virtualization engine.'
+ echo Error: Unable to use kvm as the virtualization engine.
Error: Unable to use kvm as the virtualization engine.
+ exit 1

The install stops, not sure why or what to do. Can anyone point me in the right direction.

Running the installation on Ubuntu 14, 58GB Ram, 300GB HD

I have also tried following this video https://www.youtube.com/watch?v=p9win3FVlt0

Thanks @patricklismore

HPHelion: Install failingfailing on Azure virtual machine

Following the install guide for HP Helion Openstack, http://docs.hpcloud.com/helion/community/install-virtual/

I follow these steps

Log in as root:

sudo su -
Determine if .ssh/id_rsa exists:

ls -l ~root/.ssh/id_rsa
NOTE: The output should look like the example below:

drwxr-x--- . 4096 May 11 09:23
-rwxr-x--- ..4096 May 11 09:23
-rwxr-x--- id_rsa1455 May 11 09:24
-rwxr-x--- id_rsa.pub 1455 May 11 09:24
If the key does not exist, create one, omitting a passphrase and accepting the defaults by pressing Enter:

ssh-keygen -t rsa -N

This is the output i get

root@baHPHelion:/datadrive/tripleo# ls -l ~root/.ssh/id_rsa
-rw------- 1 root root 1766 Nov 16 01:32 /root/.ssh/id_rsa

I go on to start the install

root@baHPHelion:/datadrive/tripleo# sudo HP_VM_MODE=y bash -x tripleo-incubator/scripts/hp_ced_host_manager.sh --create seed
+ set -e
+ set -o pipefail
+ umask 077
++ basename tripleo-incubator/scripts/hp_ced_host_manager.sh
+ SCRIPT_NAME=hp_ced_host_manager.sh
++ dirname tripleo-incubator/scripts/hp_ced_host_manager.sh
+ SCRIPT_HOME=tripleo-incubator/scripts
+ PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:tripleo-incubator/scripts
++ id -u
+ '[' 0 '!=' 0 ']'
+ '[' /root '!=' /root ']'
+ export CREATE_SEED=0
+ CREATE_SEED=0
+ export SHUTDOWN_SEED=0
+ SHUTDOWN_SEED=0
+ export BOOT_SEED=0
+ BOOT_SEED=0
+ export EXPORT_SEED=0
+ EXPORT_SEED=0
+ export IMPORT_SEED=0
+ IMPORT_SEED=0
+ export VM_PLAN_FILE=
+ VM_PLAN_FILE=
++ getopt -o ph, -lhelp,create-seed,shutdown-seed,boot-seed,export-seed,import-seed,vm-plan: -n hp_ced_host_manager.sh -- --create seed
+ TEMP=' --create-seed -- '\''seed'\'''
+ '[' 0 '!=' 0 ']'
+ eval set -- ' --create-seed -- '\''seed'\'''
++ set -- --create-seed -- seed
+ print_deps
+ echo 'This script depends on certain baseline capabilities of the HOST operating system'
This script depends on certain baseline capabilities of the HOST operating system
+ echo

+ echo 'The following MUST be installed and running:'
The following MUST be installed and running:
+ echo

+ echo '    openvswitch'
    openvswitch
+ echo '    kvm/qemu'
    kvm/qemu
+ echo '    libvirt'
    libvirt
+ echo '    python-libvirt'
    python-libvirt
+ '[' -n y ']'
+ echo '
    You must also have the following for Virtual Baremetal:
        openssh-server
    '

    You must also have the following for Virtual Baremetal:
        openssh-server

+ true
+ case "$1" in
+ CREATE_SEED=1
+ shift
+ true
+ case "$1" in
+ shift
+ break
+ '[' 1 -gt 1 ']'
+ '[' -z y -a -n '' ']'
+ TMPDIR=/tmp
+ IMAGES_DIR=/var/lib/libvirt/images
+ OPTIONS_PATH=/var/lib/libvirt/images/seed_options
+ TMP_MNT_DIR=/tmp/tmp_options_mount
+ OPTIONS_SIZE=7G
+ ARCH=amd64
+ BRIDGE_NAME=brbm
+ BM_NETWORK_CIDR=192.0.2.0/24
+ BM_NETWORK_SEED_IP=192.0.2.1
+ BM_NETWORK_GATEWAY=192.0.2.1
+ MEMORYM=8192
+ MEMORYK=8388608
+ CPUS=1
+ NODE_DISK=512
+ EXTRAOPTS=
+ IMAGES='overcloud-compute overcloud-control overcloud-control-mgmt overcloud-swift undercloud'
+ DEPLOY_IMAGES='deploy-ramdisk.initramfs deploy-ramdisk.kernel deploy-ramdisk-ironic.initramfs deploy-ramdisk-ironic.kernel'
+ OVERCLOUD_EXT_NET_DEV=ext-gw
+ BM_GATEWAY_DEV=bm-gw
+ ROUTE_DEV=virbr0
+ LIBVIRT_NIC_DRIVER=virtio
+ LIBVIRT_DISK_BUS_TYPE=scsi
+ HOST_IP=192.168.122.1
+ SEED_COMP_PORT=27410
+ SEED_IMAGE_ID=seedImageID
+ apt_updated=
+ check_system_setup
+ check_install_packages
+ '[' -e /etc/debian_version ']'
+ '[' -n y ']'
+ dpkg-query -s openssh-server
+ dpkg-query -s openvswitch-switch
+ dpkg-query -s qemu-system-x86
+ dpkg-query -s libvirt-bin
+ dpkg-query -s python-libvirt
+ check_execute_packages
+ which ovs-vsctl
+ which kvm
+ which virsh
+ '[' -e /etc/debian_version ']'
++ lsb_release -cs
+ RELEASE=trusty
+ '[' trusty = trusty ']'
+ '[' '!' -e /usr/bin/kvm ']'
+ '[' -e /usr/bin/kvm ']'
+ export TRIPLEO_ROOT=tripleo-incubator/scripts/../../
+ TRIPLEO_ROOT=tripleo-incubator/scripts/../../
+ export IMAGE_NAME=seed
+ IMAGE_NAME=seed
+ export VM_IP=
+ VM_IP=
+ export IMAGE_CACHE_FILE=tripleo-incubator/scripts/../..//images/seed.qcow2
+ IMAGE_CACHE_FILE=tripleo-incubator/scripts/../..//images/seed.qcow2
+ '[' '!' -e tripleo-incubator/scripts/../..//images/seed.qcow2 ']'
+ '[' '!' -e tripleo-incubator/scripts/../..//local.json ']'
+ '[' '!' -e /root/.ssh/id_rsa.pub ']'
+ generate_keys
+ SSH_ARGS='-o PasswordAuthentication=no -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null'
+ '[' -z y ']'
+ '[' '!' -f /root/.ssh/id_rsa_virt_power ']'
++ cat /root/.ssh/id_rsa_virt_power.pub
+ grep -qF 'ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDMFb6YDEWGKTxpqO5CnzcuXZDLmvatBm3dSdVeV27TnoXoZAvCm5bPs5csKyOZhNnihrqqlZ2sjwpvH185BJQD9kmzPTSTKFAI6W1/ayTf5Lu2uAzh/9eQsW2Hq9N6fgbjHNy9boaTVwcvojRVFe4bRpD5pp5gLj0RbgyrOWwwdrqLrwZMO63MmMtAuTbIeZR2kw0SQjl5tYqVgnHhsrrMN1kP/oiozueYYWd+UhZyz5Eisyfyq2qpLJJ4Jaf02YsdekrUhtFcP1jpd6Ie2YIOCzK7w/I3HTIlZMBoI7/VEKZmkmEbUl9SpT0yGn5KkIbYdXhPR+fvoIB2MLZSjVJD virtual-power-key' /root/.ssh/authorized_keys
+ ssh -o PasswordAuthentication=no -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null -i /root/.ssh/id_rsa_virt_power root@localhost uptime '&>/dev/null'
Warning: Permanently added 'localhost' (ECDSA) to the list of known hosts.
+ check_system_hardware
+ SEED_ARCH=
+ case ${ARCH} in
+ SEED_ARCH=x86_64
+ [[ -z '' ]]
+ '[' -d /sys/module/kvm ']'
+ test -r /proc/cpuinfo
+ grep -q 'vmx\|svm' /proc/cpuinfo
+ die 'Error: Unable to use kvm as the virtualization engine.'
+ echo Error: Unable to use kvm as the virtualization engine.
Error: Unable to use kvm as the virtualization engine.
+ exit 1

The install stops, not sure why or what to do. Can anyone point me in the right direction.

Running the installation on Ubuntu 14, 58GB Ram, 300GB HD

I have also tried following this video https://www.youtube.com/watch?v=p9win3FVlt0

Thanks @patricklismore